Subject: I-D Action: draft-ietf-regext-dnsoperator-to-rrr-protocol-02.txt

From: [email-masked]
Date: Tue, 10 Jan 2017 13:15:45 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Registration Protocols Extensions of the IETF.

        Title           : Third Party DNS operator to Registrars/Registries Protocol
        Authors         : Jacques Latour
                          Olafur Gudmundsson
                          Paul Wouters
                          Matthew Pounsett
	Filename        : draft-ietf-regext-dnsoperator-to-rrr-protocol-02.txt
	Pages           : 13
	Date            : 2017-01-10

Abstract:
   There are several problems that arise in the standard
   Registrant/Registrar/Registry model when the operator of a zone is
   neither the Registrant nor the Registrar for the delegation.
   Historically the issues have been minor, and limited to difficulty
   guiding the Registrant through the initial changes to the NS records
   for the delegation.  As this is usually a one time activity when the
   operator first takes charge of the zone it has not been treated as a
   serious issue.

   When the domain hand uses DNSSEC it necessary to make regular
   (sometimes annual) changes to the delegation, updating DS record(s)
   in order to track KSK rollover.  Under the current model this is
   prone to delays and errors, as the Registrant must participate in
   updates to DS records.

   This document describes a simple protocol that allows a third party
   DNS operator to update DS and NS records for a delegation, in a
   trusted manner, without involving the Registrant for each operation.
   This same protocol can be used by Registrants.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-regext-dnsoperator-to-rrr-protocol/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-regext-dnsoperator-to-rrr-protocol-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-regext-dnsoperator-to-rrr-protocol-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/